
###############################################################################
# find.UL is a function to compute the Confidence Interval (CI) of pAUC or AUC
# fun can be neighb.xy for pAUC at [p1, p2], neighb.xy3p12 for pAUC at [0, p2] or [p1, 1], 
#   eltest2step.all for AUC
###############################################################################
find.UL<-function (step = 0.01, initStep = 0, fun, MLE, level = 3.84, ...) 
{
  value <- 0
  step1 <- step
  Lbeta <- MLE - initStep
  for (i in 1:8) {
    
    while (value < level) {
      Lbeta <- Lbeta - step1
      val <- fun(true=Lbeta, ...)
      value <- val$'-2LLR'
    }
    Lbeta <- Lbeta + step1
    step1 <- step1/10
    val <- fun(true=Lbeta, ...)
    value <- val$'-2LLR'
  }
  value1 <- value
  value <- 0
  Ubeta <- MLE + initStep
  for (i in 1:8) {
    
    while (value < level) {
      Ubeta <- Ubeta + step
      val <- fun(true=Ubeta, ...)
      value <- val$'-2LLR'
    }
    Ubeta <- Ubeta - step
    step <- step/10
    val <- fun(true=Ubeta, ...)
    value <- val$'-2LLR'
  }
  if ((value1 > level) | (value > level)) 
    warning("Something wrong. Check the MLE and step inputs.")
  return(list(Low = Lbeta, Up = Ubeta, FstepL = step1, FstepU = step, 
              Lvalue = value1, Uvalue = value))
}
##&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&##

