\name{neighb}
\alias{neighb}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Empirical likelihood test for trimmed mean
}
\description{
Compute the empirical likelihood ratio with the trimmed mean fixed at \eqn{\mu_T}
}
\usage{
neighb(sp12 = vector("numeric", 2), x, true, eps)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{sp12}{
a vector of two elements for p1 and p2
}
  \item{x}{
a random sample
}
  \item{true}{
the trimmed mean to be tested
}
  \item{eps}{
a smoothing parameter
}
}
\details{
The empirical likehihood ratio test for trimmed mean at (p1, p2) is executed in two steps. First, test the hypotheses with 
three parameters, two of which are the nuisance parameters p1 and p2. Second, profile out the nuisance paramters p1 and p2.
This function performs the second step - profiling out the nuisance paramters. This function seaches the minimum of 
the empirical likehihood ratio test statistics among combinations of p1-th quantile and p2-th quantile with p1-th quantile 
and p2-th quantile moving along the consecutive sample points seperately. Since the test statistics is a piecewise constant 
function of the quantiles for p1 and p2, the minimum is easily found if searching starts at some strategical quantiles such 
as the sample quantiles at p1 and p2.    
}
\value{
\item{"-2LLR"}{the -2 loglikelihood ratio; approximate chi square distribution with a degree of freedom 1 under \eqn{H_0}}
\item{Pval}{the observed P-value by chi-square approximation}
%%  \item{comp1 }{Description of 'comp1'}
%%  \item{comp2 }{Description of 'comp2'}
%% ...
}
%\references{
%% ~put references to the literature/web site here ~
%}
\author{
Yumin Zhao
}
%\note{
%%  ~~further notes~~
%}

%% ~Make other sections like Warning with \section{Warning }{....} ~

%\seealso{
%% ~~objects to See Also as \code{\link{help}}, ~~~
%}
\examples{

nsize <- 50
p1<- 0.21
p2<- 0.79

q1 <- qnorm(p1)
q2 <- qnorm(p2)

rp <- function(x){
  y <- x*dnorm(x)
  y
}
omu <- integrate(rp, lower=q1, upper=q2)$value

sp12 <- c(p1, p2) 

x <- rnorm(nsize)
neighb(sp12=sp12, x=x, true=omu, eps=1/nsize)

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
