\name{pAUC-package}
\alias{pAUC-package}
\alias{pAUC}
\docType{package}
\title{
Inference on pAUC/AUC/trimmed means/Lorenz Curves 
}
\description{
Compute empirical likelihood test statistics, 
p value for hypothesis on pAUC/AUC/trimmed means/Lorenz Curves; 
Calculate the estimate and confidence interval of pAUC/AUC/trimmed means/Lorenz Curves
}
\details{
\tabular{ll}{
Package: \tab pAUC\cr
Type: \tab Package\cr
Version: \tab 0.1\cr
Date: \tab 2016-10-26\cr
License: \tab GPL (>= 2)\cr
}
% An overview of how to use the package, including the most important ~~
% functions ~~
}
\author{
Yumin Zhao

Maintainer: Yumin Zhao <zyyztwo@gmail.com>

}
\references{
Statistical Inference on Partial Area Under ROC Curves by Empirical Likelihood Method
}

%\keyword{ package }
%\seealso{

%\code{\link[<emplik>:<emplik>-package]{<el.test>}} 
%}
\examples{
### An example of trunated mean at (0, 0.89)
set.seed(123)
nsize <- 50
p<- 0.89
x <- rnorm(nsize)
est <- est.tr.mean(x, p, eps=1/nsize)
find.UL(step=0.001, fun=neighb.p, p=p, MLE=est, x=x, eps=1/nsize)
}
